@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';

/* _content/web.misorteo/Pages/Dashboard/Index.razor.rz.scp.css */
.fab-button[b-43iifwbv0h] {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 1000; /* Asegura que esté encima de otros elementos */
    pointer-events: auto; /* Asegura que sea interactuable */
}

.mud-grid-container[b-43iifwbv0h] {
    padding-bottom: 80px; /* Ajusta para dar espacio al botón flotante */
}

/* _content/web.misorteo/Shared/LoginLayout.razor.rz.scp.css */
/* Estilos generales para centrar el cuadro */
html[b-vwbotaifvr], body[b-vwbotaifvr] {
    height: 100%;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f0f0f0; /* Color de fondo opcional */
}

.login-container[b-vwbotaifvr] {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: relative;
    padding-top: 5px;
}

.login-box[b-vwbotaifvr] {
    width: 300px; /* Ancho del cuadro de login */
    padding: 20px;
    background: white; /* Fondo blanco para el cuadro de login */
    box-shadow: 0 0 10px rgba(0,0,0,0.1); /* Sombra para el cuadro de login */
    border-radius: 8px; /* Bordes redondeados */
}

@media (max-width: 600px) {
    .login-box[b-vwbotaifvr] {
        width: 90%; /* Ancho flexible para dispositivos móviles */
        max-width: 400px; /* Ancho máximo para dispositivos móviles */
    }
}
/* _content/web.misorteo/Shared/MainLayout.razor.rz.scp.css */
.page[b-1wha3qei65] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-1wha3qei65] {
    flex: 1;
}

.sidebar[b-1wha3qei65] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-1wha3qei65] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-1wha3qei65]  a, .top-row .btn-link[b-1wha3qei65] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-1wha3qei65] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-1wha3qei65] {
        display: none;
    }

    .top-row.auth[b-1wha3qei65] {
        justify-content: space-between;
    }

    .top-row a[b-1wha3qei65], .top-row .btn-link[b-1wha3qei65] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-1wha3qei65] {
        flex-direction: row;
    }

    .sidebar[b-1wha3qei65] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-1wha3qei65] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row[b-1wha3qei65], article[b-1wha3qei65] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* _content/web.misorteo/Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-i0nqfp4i1d] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-i0nqfp4i1d] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-i0nqfp4i1d] {
    font-size: 1.1rem;
}

.oi[b-i0nqfp4i1d] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-i0nqfp4i1d] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-i0nqfp4i1d] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-i0nqfp4i1d] {
        padding-bottom: 1rem;
    }

    .nav-item[b-i0nqfp4i1d]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-i0nqfp4i1d]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-i0nqfp4i1d]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-i0nqfp4i1d] {
        display: none;
    }

    .collapse[b-i0nqfp4i1d] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
    
    .nav-scrollable[b-i0nqfp4i1d] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
